.site-main,
.widget-area {
	padding: 0 16px;
	margin: 0 auto;
    max-width: 72rem;
    width: 100%;
}

/* @media screen and (max-width: 640px) {
    .site-main,
    .widget-area {
        padding: 0;
    }
} */

.text-bg-primary-active {
    background-color: #fff;
    color: #000;
}


ul.left-navigation {
    list-style: none;
    margin: 0;
    padding: 0;
    position: relative;
    background-color: #1d4289;
}
ul.left-navigation li a {
    display: flex;
    color: #0066CC;
    text-decoration: none;
    position: relative;
}

ul.left-navigation li a:hover {
    text-decoration: underline !important;
}
ul.left-navigation li a:visited {
    display: block;
}
ul.left-navigation li:last-child {
    padding-bottom: 10px;
}

.badge {
    display: inline-block;
    padding: .25em .4em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25rem;
}
.badge-primary {
    background-color: #06c;
    color: #fff;
}
.badge-pill {
    padding-right: .6em;
    padding-left: .6em;
    border-radius: 10rem;
}

/* .list-group {
    width: 200px;
} */
.list-group-item:first-child {
    border-top-left-radius: .25rem;
    border-top-right-radius: .25rem;
}
.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
.justify-content-between {
    -webkit-box-pack: justify !important;
    -ms-flex-pack: justify !important;
    justify-content: space-between !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    display: flex !important;
}


/* Sub Sub Menu */
.ontario-application-subheader-menu {
    background-color: #555; 
    padding: 10px 0;
}

/* Icon link */

.icon-link {
    display: inline-flex; /* Align icon and text in the same line */
    align-items: center;  /* Vertically center align */
    text-decoration: none; /* Remove underline */
    color: inherit;       /* Inherit color from parent */
    padding-right: 75px;
    padding-left: 0px;
}

/* Example of changing color on hover */
.icon-link:hover {
    color: #007bff; /* Change color on hover */
}

.icon-link-search {
    padding-left: 35px;
    padding-right: 10px;
}

.custom-icon {
    margin-right: 10px !important; /* Space between icon and text */
    /* width: 16px; */       /* Adjust width as needed */
    height: 36px !important;      /* Adjust height as needed */
    position: relative !important;
}

.file-icons {
    /* position: absolute; 
    top: 13px; 
    left: 0px; */
    display: flex;
}

.sub-icons {
    position: absolute; 
    top: 10px; 
    right: 10px;
    cursor: pointer;
    width: 24px;
    height: 24px;
}

/* Bookmark */
.bookmark {
    position: absolute !important;
    right: 45px; 
    top: 10px;
}

.bookmark a:visited {
    color:#0073aa;
}

.bookmark a:hover {
    color:#ff0000;
}


/* Search Form */
.searchform {
    display: flex;
    align-items: center;
}

.searchform input[type="text"] {
    padding: 5px;
    margin-right: 5px;
    border: 1px solid #ccc;
    border-radius: 3px;
}

.searchform input[type="submit"] {
    padding: 5px 10px;
    border: 1px solid #007bff;
    background-color: #007bff;
    color: #fff;
    border-radius: 3px;
    cursor: pointer;
}

.searchform input[type="submit"]:hover {
    background-color: #0056b3;
}


/* Search Container */
#search-container {
    margin: 0px 0 20px 0;
}

#search-input,
#bookmark-search-input {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

/* #search-results {
    margin-top: 20px;
} */

.search-result-item {
    margin-bottom: 20px;
}

.search-result-item h2 {
    margin: 0;
    font-size: 1.5em;
}

.search-result-item h2 a {
    text-decoration: none;
    color: #007bff;
}

.search-result-item h2 a:hover {
    text-decoration: underline;
}


/* Modal CSS */
/* Modal container */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0,0,0,0.5); /* Black w/ opacity */
}

/* Modal content */
.modal-content {
    position: relative;
    margin: 10% auto;
    padding: 0;
    width: 80%;
    max-width: 800px;
    background-color: #fff;
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
    animation-name: modalopen;
    animation-duration: 0.4s;
}

/* Close button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    padding: 10px;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Video player */
#videoPlayer {
    width: 100%;
    height: auto;
}


/* Pagination */
.custom-pagination {
    margin-top: 24px;
}
.page-numbers {
    display: inline-block;
    margin: 0 5px;
    padding: 5px 10px;
    border: 1px solid #ddd;
    border-radius: 3px;
    color: #0073aa;
    text-decoration: none;
}

.page-numbers:hover {
    background-color: #0073aa;
    color: white;
}
.page-numbers:visited {
    /* color: #0073aa; */
}

.page-numbers.current {
    background-color: #0073aa;
    color: white;
    border: 1px solid #0073aa;
}

.page-numbers.prev,
.page-numbers.next {
    font-weight: bold;
}

.page-numbers.prev:hover,
.page-numbers.next:hover {
    background-color: #005f8d;
    color: white;
}





/* Came from Styles.css */
.category-menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.category-menu .parent-category .category-toggle {
    cursor: pointer;
    text-decoration: none;
}

.category-menu .subcategory-menu {
    list-style-type: none;
    padding: .75rem 0rem;
    margin: 0;
}

.badge-position {
    position: absolute; 
    top: 10px; 
    right: 10px;
}

.toggle-container {
    position: relative; 
    height: 25px;
    margin-bottom: 10px;
}
#toggle-view {
    position: absolute;
    right: 20px;
    display: inline-block;
    top: 0;
    cursor: pointer;
    width: 25px;
    height: 25px;
    stroke-width: 0;
    stroke: currentColor;
    fill: currentColor;
    /* overflow: hidden; */
}
#toggle-view button:focus {
    box-shadow: 0 0 0 4px #009adb;
    outline: 4px solid transparent;
    transition: all .1s ease-in-out;
}
#toggle-view.whats-new {
    right: 26px;
}

.documents-row {
    padding: 10px 10px 10px 0px; 
    position: relative; 
    border-bottom:1px solid #eee;
}
.sub-documents { 
    margin: 0 15px 0 45px;
}
.sub-documents .documents-row:last-child {
    border-bottom: 0;
    padding-bottom: 0;
}
.sub-documents-parent {
    display: block;
}
.sub-documents .bookmark {
    right: 20px;
    position: absolute;
}


.documents-row-search {
    padding: 10px;
}

.file-icons-search {
    right: unset; 
    /* left: 15px; */
    top: 15px;
    position: absolute;

}




@media screen and (max-width: 600px) { /* Mobile view */
    .wp-block-media-text .wp-block-media-text__content { /* Home page banner text */
        padding: 24px 0 0 0 !important;
    }
    .ontario-h2, h2 { 
        font-size: 1.25rem !important;
    }
}

.ontario-application-subheader__menu {
    margin-left: -15px;
}

h1 { 
    margin-top: 0 !important;
}

.ontario-footer {
    margin-top: 3rem;
}

a,
a:visited {
    color: #00478F;
}

a:hover {
    text-decoration: none;
    color: #007bff;
}

.ontario-application-subheader__menu a:visited {
    color: #fff;
}

#search-input {
    width: 50% !important;
}

.ontario-header-button {
    height: 32px !important;
}

h2.dashboard {
    margin-top: 12px;
}
#dashboard-search-results { 
    margin-top: 24px;
}
@media screen and (max-width: 600px) { /* Mobile view */
    h2.dashboard {
        margin-top: 24px;
        margin-bottom: 0;
    }

    #dashboard-search-results { 
        margin-top: 10px;
    }
}

.ontario-application-subheader__menu.small-text a {
    font-size: 16px;
    height: 20px;
    line-height: 0px;
    padding: 16px;
}

.ontario-application-subheader__menu a {
    font-size: 18px;
    height: 20px;
    line-height: 0px;
    padding: 16px;
}

.days-group {
    position: relative;
    margin-bottom: 24px !important;
}
.ontario-input.days {
    margin-bottom: 24px !important;
    max-width: 300px;
}

/* Breadcrumb */
/* Breadcrumbs */
.breadcrumb {
    list-style: none;
    padding: 5px 0 0 5px;
    display: flex;
    gap: 0px;
    flex-wrap: nowrap;

    font-size: 16px;
    margin: 20px 0 0;
    overflow-x: auto; /* Allow horizontal scrolling if necessary */
}


.breadcrumb-item {
    display: inline;
    padding-left: 0;
}

.breadcrumb-item + .breadcrumb-item::before {
    content: "»";
    padding: 0 8px;
    color: #6c757d;
}

.breadcrumb-item a {
    text-decoration: underline;
    color: #00478F;
}
.breadcrumb-item a:hover {
    text-decoration: none;
    color: #007bff;
}

.breadcrumb-item.active {
    color: #6c757d;
}

.header-search {
    height: 32px !important; 
    max-width: 300px !important; 
    float: right !important; 
    padding-right: 0.75rem !important;
    font-size: 15px;
}

#header-results {
    position: absolute; 
    width: 300px;
    max-width: 300px;
    right: 0; 
    height: auto; 
    border: 1px solid #eee;
    top: 25px;
    background-color: #fff;
    display: none;
    z-index: 1;

    list-style: none;    
}

#header-results .documents-row {
    padding: 10px; 
    position: relative; 
    border:1px solid #1d4289;
    font-size: 14px;
}

/* #header-results .file-icons {
    right: 10px;
}
#header-results .custom-icon {
    margin-right: 0 !important;
}
#header-results .icon-link {
    padding-right: 10px;
} */


.view-all {
    background-color: #0073aa;
}
.view-all a {
    color: #fff;
    text-align: center; 
    display: block;
}
.view-all a:hover {
    color: #fff;
    text-decoration: underline;
}

.search-field {
    border: 2px solid #1a1a1a;
    border-radius: 4px;
    box-sizing: border-box;
    color: #1a1a1a;
    display: block;
    font-size: 1rem;
    font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    line-height: 1.5;
    margin: 0 0 15px;
    max-width: 280px;
    width: 100%;
    padding: .625rem 1rem;
    transition: box-shadow .1s ease-in-out;
}

.search-submit {
    border: none;
    border-radius: 4px;
    box-sizing: border-box;
    box-shadow: none;
    display: inline-block;
    font-size: 1.125rem;
    font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 600;
    line-height: 1.5555555556;
    margin: 0 calc(1rem + .75rem) 1.5rem 0;
    min-width: 10rem;
    padding: .625rem 1.5rem;
    text-align: center;
    text-decoration: none;
    cursor: pointer;

    background-color: #06c;
    color: #fff;
}

.search-submit:hover {
    background-color: #00478f;
    color: #fff;
}

.post-departments {
    margin-left: 35px;
    margin-top: 8px;
}

.catDD-container{
    display: none;
}
@media screen and (max-width: 640px) { /* Mobile view */
    .catDD-container{
        display: block;
    }
}

/* COLORS REWRITE */
.ontario-header {
    background-color:#1d4289;
}

.blue-color {
    color: #1d4289;
}

.ontario-card {
    background-color:#f2f2f2;
    border-top: 5px solid #1d4289;
}

.list-group-item {
    position: relative;
    display: block;
    padding: .75rem 1.25rem;
    margin-bottom: -1px;
    background-color: #1d4289;
    border: 1px solid #fff;
}
.selectedCat {
    background-color: #0c1a35 !important;
    color: #fff;
}
.list-group-item:hover.parent-category.selectedCat {
    background-color: #0c1a35 !important;
}

.list-group-item.parent-category a.selectedCat {
    color: #ffffff !important;
}


.selectedCat a.category-toggle {
    font-weight: 600;
}

.selectedSubCat {
    background-color: #0c1a35 !important;
}

#secondary-menu.ontario-application-subheader__menu a,
#secondary-menu.ontario-application-subheader__menu a:visited {
    color: #1a1a1a;
}
#secondary-menu.ontario-application-subheader__menu a:hover,
#secondary-menu.ontario-application-subheader__menu a.current-menu-item {
    background-color: #ccc;
}

.documents-row {
    border-bottom: 1px solid #1d4289;
}

.ontario-application-subheader__menu a:hover,
.ontario-application-subheader__menu li.current-menu-item {
    background-color: #0c1a35;
    border-radius: 4px;
}

ul.left-navigation li a,
ul.left-navigation li a:visited,
ul.left-navigation li a:hover {
    color: #ffffff;
}

.ontario-application-subheader-menu {
    /* background-color: #f2f2f2; */
    background-color: #ddd;
}

.subcategory-menu .list-group-item {
    border: none;
    border-bottom: 1px solid #fff;
    margin-bottom: 0px;
}

.subcategory-menu .list-group-item:last-child {
    border-bottom: 0px solid #fff;
}

.ontario-card__heading a {
    color: #1a1a1a;
}

.ontario-input {
    max-width: 100%;
}
/*
.ontario-header {
    background-color:#5bc1ac;    
}
.ontario-card {
    background-color:#f2f2f2;
    border-top: 5px solid #5bc1ac;
} */

    /* #f0f8ff */
    /* #a4c639 */
    /* #a4c639 */
    /* #232323 */
    /* #343434 */


/* Accordion for related documents */

.accordion {
    margin: 10px;
}

.accordion-input {
    display: none;
}

.label-bookmark-container {
    display: flex; /* Makes the label and bookmark div align horizontally */
    justify-content: space-between; /* Ensures spacing between elements */
    align-items: center; /* Aligns items vertically in the center */
    gap: 10px; /* Adds some space between the two elements */
    flex-wrap: wrap; /* Ensures wrapping on small screens */
}

.accordion-label {
    flex: 1; /* Ensures the label takes up available space */
    margin: 0; /* Resets any default margin */
}

.bookmark {
    flex-shrink: 0; /* Prevents the bookmark from shrinking on small screens */
}
.bookmark-whatsnew {
    flex-shrink: 0; /* Prevents the bookmark from shrinking on small screens */
}

@media (max-width: 600px) {
    .label-bookmark-container {
        flex-direction: row; /* Stays horizontal for small screens */
        gap: 5px; /* Reduce gap slightly on smaller screens */
    }
}


.accordion-label {
    /* display: block; */
    cursor: pointer;
    position: relative;
    cursor:default;
    /* background-color: #007bff;
    color: white;
    padding: 10px;
    font-weight: bold;
    border-radius: 5px;
    margin-bottom: 5px; */
    
}

.accordion-label:hover {
    /* background-color: #0056b3; */
}

.accordion-icon {
    /* margin-right: 10px;
    font-size: 18px; 
    height: 20px;*/
    width: 24px;
    height: 24px;
    transition: transform 0.3s ease;
    vertical-align: text-bottom;
}

.accordion-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out;
    /* background-color: #f1f1f1;
    padding: 0 10px;
    border: 1px solid #ddd;
    border-radius: 5px; */
}

.accordion-content p {
    /* margin: 10px 0; */
}

.accordion-input:checked + .accordion-label + .accordion-content {
    max-height: 200px;
    /* padding: 10px; */
}

.accordion-input:checked + .accordion-label {
    /* background-color: #28a745; */
}

.accordion-input:checked + .accordion-label .accordion-icon::before {
    content: "−"; /* Display minus when expanded */
}

.accordion-input + .accordion-label .accordion-icon::before {
    content: "+"; /* Display plus when collapsed */
}
